# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:setconfigurationaudittype, :parent => Puppet::Parameter::WlsProperty) do
  extend Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-DESC
    The configuration audit type.

  DESC

  maps_to('ConfigurationAuditType')

  newvalues('absent', 'none', 'log', 'audit', 'logaudit')
  data_type("Optional[Enum['absent', 'none', 'log' , 'audit' , 'logaudit' ]]")
end
