# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:destinationtype, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The destination type (queue or topic) for this JMS bridge destination.

  DESC

  newvalues('Queue', 'Topic')
  defaultto 'Queue'

  maps_to('DestinationType')
  data_type("Optional[Enum['Queue', 'Topic']]")
end
