# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:messagesmaximum, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  Maximum messages

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('MessagesMaximum')
end
