# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:machinetype) do
  include EasyType
  desc <<-DESC
  The machine type
  DESC

  newvalues('absent', 'Machine', 'UnixMachine')
  data_type("Optional[Enum['absent', 'Machine', 'UnixMachine']]")
end
