# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:selector, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The filter for messages that are sent across the messaging bridge instance.

  DESC

  data_type('Optional[String]')

  maps_to('Selector')
end
