# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:restart_max, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
    The number of times that the Node Manager can restart this server within the interval specified in Restart Interval.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('RestartMax')
end
