# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:outboundenabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
    The channel outbound enabled on the server

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('OutboundEnabled')
end
