# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssllistenport, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::Types::Integer
  include EasyType::Validators::PortNumber

  desc <<-DESC
  The server ssl port

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('SSL/%<template_name>s/ListenPort')
end
