# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/weblogic/provider'

Puppet::Type.type(:wls_jms_subdeployment).provide(:simple) do
  include Puppet_X::EnterpriseModules::WebLogic::Provider

  desc 'Manage a JMS module of an WebLogic domain via regular WLST'
  mk_resource_methods
end
