# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:globaltransactionsprotocol, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The global Transactions Protocol.

  DESC
  newvalues('TwoPhaseCommit', 'EmulateTwoPhaseCommit', 'OnePhaseCommit', 'LoggingLastResource', 'None')

  maps_to('JDBCResource/%<datasource_name>s/JDBCDataSourceParams/%<datasource_name>s/GlobalTransactionsProtocol')

  data_type("Optional[Enum['TwoPhaseCommit', 'EmulateTwoPhaseCommit', 'OnePhaseCommit', 'LoggingLastResource', 'None']]")
end
