# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:setinternalappdeploymentondemandenable, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
    Enable or disabled internal app deployment.

  DESC

  data_type('Optional[String]')

  maps_to('InternalAppsDeployOnDemandEnabled')
end
