# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:calculated_listen_port, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    Set managed server ports is auto calculated

  DESC

  newvalues('absent', 0, 1)
  data_type("Optional[Variant[Enum['absent'], Integer[0, 1]]]")
  maps_to('CalculatedListenPorts')

  # data_type("Optional[Variant[Enum['absent'], Integer[0, 1]]]")
end
