# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:server_name_prefix, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Name

  desc <<-DESC
  The server name prefix of this dynamic cluster

  DESC

  data_type('Optional[String[1]]')

  maps_to('ServerNamePrefix')
end
