# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:defaultmappertype) do
  include EasyType

  desc <<-DESC
  the default mapper type

  DESC

  data_type('Optional[String]')

  to_translate_to_resource do |raw_resource|
    raw_resource['defaultmappertype']
  end
end
