# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:datasource, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
  The JDBC persistent store datasource

  DESC

  data_type('Optional[String]')

  maps_to('DataSource/')
end

child_of(:wls_datasource) { datasource }
