# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:subscriptionsharingpolicy, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
  Subscription sharing policy

  DESC

  newvalues('absent', 'Exclusive', 'Sharable')

  maps_to('ClientParams/%<connection_factory_name>s/SubscriptionSharingPolicy')

  data_type("Optional[Enum['absent', 'Exclusive','Sharable']]")
end
