# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:xaenabled, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  xa enabled on the cf

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")
  defaultto 1

  maps_to('TransactionParams/%<connection_factory_name>s/XAConnectionFactoryEnabled')
end
