# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:destinationtype) do
  include EasyType

  desc 'The destination type of a jms resource (queue or topic)'

  newvalues('queue', 'topic')

  to_translate_to_resource do |raw_resource|
    raw_resource['destinationtype']
  end
  data_type("Optional[Enum['queue', 'topic']]")
end
