# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:redeliverylimit, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  redeliverylimit of the topic

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('DeliveryFailureParams/%<topic_name>s/RedeliveryLimit')
end
