# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:resource_group_template_name) do
  include EasyType
  include EasyType::Validators::Name

  isnamevar

  desc <<-DESC
  The resource group template name.
  DESC
end

child_of(:wls_resource_group_template, :resource_group_template_name) { "#{domain}/#{resource_group_template_name}" }
