# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:servicetype, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The service type

  DESC
  defaultto 'Both'

  newvalues('absent', 'Sending-only', 'Receiving-only', 'Both')

  maps_to('ServiceType')

  data_type("Optional[Enum['absent', 'Sending-only','Receiving-only','Both']]")
end
