# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_datasource_filename, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The datasource log file name of the server.

  DESC

  maps_to('DataSource/%<server_name>s/DataSourceLogFile/%<server_name>s/FileName')
end
