# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_http_format_type, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The log format type of the  http file name of the server.

  DESC

  newvalues('absent', 'common', 'extended')

  maps_to('WebServer/%<server_name>s/WebServerLog/%<server_name>s/LogFileFormat')

  data_type("Optional[Enum['absent', 'common', 'extended']]")
end
