# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:logintimeout, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
    The HTTP Login Timeout of the server in milliseconds.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('LoginTimeoutMillis')
end
