# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:listenport, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::Validators::PortNumber

  desc <<-DESC
  The listenport of the server

  DESC

  maps_to('ListenPort')
end
